Payments Gateway

TrueMoney Redeem

แลกเงินจากซองของขวัญ TrueMoney เข้าเบอร์วอลเล็ท รองรับทั้ง URL ซองแบบเต็มและ voucher code

POSThttps://payments.zelthr.rest/truemoney

Request Body

FieldTypeRequirementDescription
giftstringrequiredURL ซองของขวัญ หรือ voucher code (alias: code, voucher, link)
phonestringrequiredเบอร์ TrueMoney Wallet 10 หลัก (alias: mobile)

Example Request

cURL
curl -X POST https://payments.zelthr.rest/truemoney \
  -H "Content-Type: application/json" \
  -d '{
    "gift": "https://gift.truemoney.com/campaign/?v=31248039218391283",
    "phone": "0812345678"
  }'

Example Response

|
200 OK
{
  "status": {
    "code": "SUCCESS",
    "message": "success"
  },
  "data": {
    "voucher": {
      "amount_baht": "100.00",
      "redeemed_amount_baht": "100.00",
      "member": 1,
      "status": "active"
    },
    "owner_profile": {
      "full_name": "สมชาย ***"
    }
  }
}